Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Static Public Attributes | List of all members
cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_, AccessSize > Struct Template Reference
Tile Traits Concept

A template defining Tile Traits Concept.

`#include <tile_iterator.h>`

## Public Types
typedef Tile_ | Tile
| Shape of the tile. More...
typedef Delta_ | Delta
| Number of steps between accesses along each dimension. More...
typedef Iterations_ | Iterations
| Number of accesses performed. More...
typedef ThreadOffset_ | ThreadOffset
| Functor that returns the logical coordinate of each entity's initial offset in the tile. More...
typedef Shape< 0, 0, 0, 0 > | ImmediateOffsetStrides
| Strides for immediate offset computation. More...

## Static Public Attributes
static int const | kAccessSize = AccessSize
| Access size. More...

## Member Typedef Documentation

## ◆ Delta

template<typename Tile_ , typename Delta_ , typename Iterations_ , typename ThreadOffset_ , int AccessSize>

typedef Delta_ cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_, AccessSize >::Delta

## ◆ ImmediateOffsetStrides

template<typename Tile_ , typename Delta_ , typename Iterations_ , typename ThreadOffset_ , int AccessSize>

typedef Shape<0, 0, 0, 0> cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_, AccessSize >::ImmediateOffsetStrides

## ◆ Iterations

template<typename Tile_ , typename Delta_ , typename Iterations_ , typename ThreadOffset_ , int AccessSize>

typedef Iterations_ cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_, AccessSize >::Iterations

## ◆ ThreadOffset

template<typename Tile_ , typename Delta_ , typename Iterations_ , typename ThreadOffset_ , int AccessSize>

typedef ThreadOffset_ cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_, AccessSize >::ThreadOffset

## ◆ Tile

template<typename Tile_ , typename Delta_ , typename Iterations_ , typename ThreadOffset_ , int AccessSize>

typedef Tile_ cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_, AccessSize >::Tile

## Member Data Documentation

## ◆ kAccessSize

template<typename Tile_ , typename Delta_ , typename Iterations_ , typename ThreadOffset_ , int AccessSize>

int const cutlass::TileTraits< Tile_, Delta_, Iterations_, ThreadOffset_, AccessSize >::kAccessSize = AccessSize
| static

The documentation for this struct was generated from the following file:

- tile_iterator.h